View Issue Details

IDProjectCategoryView StatusLast Update
0000880SymmetricDSNew Featurepublic2012-12-16 12:33
ReporterabrougherAssigned Toabrougher 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.2.0 
Target Version3.2.0Fixed in Version3.2.0 
Summary0000880: Add support for cascading random data to DbFill.
DescriptionDbFill will fail to insert a row in a single table if that tables has a FK dependency on a second table not included in the DbFill table list.

Add an argument for a user to allow cascading inserts.

Example:
We have two tables, parent and child.
Child has a FK to parent.
If DbImport is used to insert 1 row into child with the cascading argument, a row would automatically be added to the parent to satisfy the FK constraint of the child table.
TagsNo tags attached.

Activities

chenson

2012-12-16 12:33

administrator   ~0000158

Prepare for release

Issue History

Date Modified Username Field Change
2012-10-25 16:32 abrougher New Issue
2012-10-25 16:32 abrougher Status new => assigned
2012-10-25 16:32 abrougher Assigned To => abrougher
2012-10-26 09:54 abrougher Status assigned => resolved
2012-10-26 09:54 abrougher Fixed in Version => 3.2.0
2012-10-26 09:54 abrougher Resolution open => fixed
2012-11-02 08:09 chenson Project SymmetricDS Pro => SymmetricDS
2012-11-04 17:03 chenson Target Version => 3.2.0
2012-12-16 12:33 chenson Note Added: 0000158
2012-12-16 12:33 chenson Status resolved => closed